/*
 * RecordTypes.java 
 * Created on 2011-08-04
 *
 * Copyright (c) Verax Systems 2011.
 * All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.veraxsystems.vxipmi.coding.commands.sdr.record;

import com.veraxsystems.vxipmi.common.TypeConverter;

/**
 * Class holding codes for SDR types. Byte constants are encoded as pseudo
 * unsigned bytes. IpmiLanConstants doesn't use {@link TypeConverter} because
 * fields need to be runtime constants.
 * 
 * @see TypeConverter#byteToInt(byte)
 * @see TypeConverter#intToByte(int)
 * 
 */
public final class RecordTypes {

	public static final byte FullSensorRecord = 0x01;

	public static final byte CompactSensorRecord = 0x02;

	public static final byte EventOnlyRecord = 0x03;

	public static final byte EntityAssociationRecord = 0x08;

	public static final byte DeviceRelativeEntityAssociationRecord = 0x09;

	public static final byte GenericDeviceLocatorRecord = 0x10;

	public static final byte FruDeviceLocatorRecord = 0x11;

	public static final byte ManagementControllerDeviceLocatorRecord = 0x12;

	public static final byte ManagementControllerConfirmationRecord = 0x13;

	public static final byte BmcMessageChannelInfoRecord = 0x14;

	public static final byte OemRecord = (byte) (0xc0 - 256);

	private RecordTypes() {
	}
}
